sgsort(1)

NAME
sgsort - LT NSL program for sorting SGML elements on their contents

SYNOPSIS
usage: sgsort [-d ddb-file] [-u base-url] domain element key [input-file]

DESCRIPTION
The material below may be out of date: consult LT XML documentation please. sgsort transforms normalised SGML by sorting specified portions of the content of selected elements. Daughters of all domain elements whose tag is elt are sorted alphabetically by the first text content of their first daughter whose tag is key. The sorted daughters are output before any daughters with other tags.

DESCRIPTION: Input/Output
Description of the input/output files involved in this program.

Input ==> A normalised SGML file : [stdin]

Output ==> A normalised SGML file: [stdout]

OPTIONS

-d <ddb-file>
    is the name of a file containing a representation of a DTD. Can be used if the DTD is not specified in the input document iself.

EXAMPLE
The invocation
 sgsort defns item dd
would sort input like this:
 . . .
 <defns>
 <item><dd>tom</dd><db>the piper's son</db></item>
 <item><dd>dick</dd><db>the mayor of london</db></item>
 <item><dd>harry</dd><db>the king of england</db></item>
 </defns>
 . . . to produce output like this:
 . . .
 <defns>
 <item><dd>dick</dd><db>the mayor of london</db></item>
 <item><dd>harry</dd><db>the king of england</db></item>
 <item><dd>tom</dd><db>the piper's son</db></item>
 </defns>
 . . .

SEE ALSO
ltxml(5), mknsg(1), nslmkddb(1)

AUTHOR
Henry Thompson (ht@cogsci.ed.ac.uk)
David McKelvie (dmck@cogsci.ed.ac.uk)
Language Technology Group, Human Communication Research Centre, Edinburgh University,
2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND
Tel:(44) 131 650-4630
Fax:(44) 131 650-4587 email: ht@cogsci.ed.ac.uk

Comments, suggestions, and bug reports are always welcome.